<template>
  <div class="grid-content">
    <slot />
  </div>
</template>

<script lang="ts">
import { defineComponent } from '@nuxtjs/composition-api'

export default defineComponent({
  name: 'StoreGrid'
})
</script>

<style lang="scss" scoped>
.grid {
  &-content {
    margin: 0 auto;
    display: grid;
    grid-template-columns: 1fr;
    grid-row-gap: 10px;
    @media (min-width: 575.98px) {
      grid-template-columns: 1fr 1fr;
      grid-row-gap: 30px;
      grid-column-gap: 30px;
    }
    @media (min-width: 991.98px) {
      grid-template-columns: 1fr 1fr 1fr;
      grid-row-gap: 35px;
      grid-column-gap: 35px;
    }
  }
}
</style>
